From 7a58c26a5990c9743bd09d2e36f0185f12316a0e Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Thu, 4 Jun 2020 15:19:26 +0800
Subject: [PATCH 76/77] hotplug_serial: add err msg for the return of two_devid

The return massages maybe:'Error: the bus virtio-serial0.0
-driver virtserialport set property failed'

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 libvirt/tests/src/hotplug_serial.py | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/libvirt/tests/src/hotplug_serial.py b/libvirt/tests/src/hotplug_serial.py
index c4de7630..ed2191bd 100644
--- a/libvirt/tests/src/hotplug_serial.py
+++ b/libvirt/tests/src/hotplug_serial.py
@@ -232,7 +232,9 @@ def run(test, params, env):
                 err_o2 = "Parsing chardev args failed"
                 err_o3 = "Property 'virtserialport.chardev' can't"
                 err_o4 = "duplicate property"
-                if (err_o1 not in dup_o) and (err_o2 not in dup_o) and (err_o3 not in dup_o) and (err_o4 not in dup_o):
+                err_o5 = "set property failed"
+                if (err_o1 not in dup_o) and (err_o2 not in dup_o) and (err_o3 not in dup_o) and\
+                   (err_o4 not in dup_o) and (err_o5 not in dup_o):
                     test.fail("Expect fail, but run successfully:\n%s" % ret)
             else:
                 if "already exists" not in dup_e:
-- 
2.23.0

